/*Deprecated

Данный datasource является **deprecated** и будет удалён в следующих версиях. Вместо него неоходимо использовать datasource **decort_cb_audit_list**.
*/

/*
Пример использования
Получение данных об аудитах compute (виртулаьной машине)
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_kvmvm_audits" "kvmvm_audits" {
  #id виртуальной машины
  #обязательный параметр
  #тип - целое число
  compute_id = 10154

  #найти все аудиты после определенного момента времени
  #опциональный параметр
  #тип - целое число
  #timestamp_to = 11

  #найти все аудиты до определенного момента времени 
  #опциональный параметр
  #тип - целое число
  #timestamp_at = 11

  #фильтр по юзеру
  #опциональный параметр
  #тип - строка
  #user = "user"

  #фильтр по эндпоинту апи 
  #опциональный параметр
  #тип - строка
  #call = "call"

  #сортировка по одному из поддерживаемых полей 
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию 
  #sort_by = "+name"

  #номер страницы для отображения 
  #опциональный параметр
  #тип - целое число
  #значение по умолчанию - 1
  #page = 1

  #размер страницы 
  #опциональный параметр
  #тип - целое число
  #значение по умолчанию - 100 
  #size = 100

  #найти по минимальному коду статуса HTTP 
  #опциональный параметр
  #тип - целое число
  #min_status_code = 1

  #найти по максимальному коду статуса HTTP 
  #опциональный параметр
  #тип - целое число
  #max_status_code = 140
  
}

output "output" {
  value = data.decort_cb_kvmvm_audits.kvmvm_audits
}
